Measure logo
REST API ReferenceDashboard APIANRs

Fetch an app's ANR detail instances plot (deprecated)

Deprecated

GET/apps/{id}/anrGroups/{anrGroupId}/plots/instances

Fetch an app's ANR detail instances aggregated by date range & version.

Deprecated: Use GET /apps/{id}/errorGroups/{errorGroupId}/plots/instances instead.

Both versions & version_codes should be present if any one of them is present. For multiple comma separated fields, make sure no whitespace characters exist before or after commas.

Authorization

bearerAuth
AuthorizationBearer <token>

User access token issued at sign-in. Sent as Authorization: Bearer <access-token> unless cookies are used to send tokens. The /auth/refresh and /auth/signout endpoints expect the session's refresh token in the same header format instead.

In: header

Path Parameters

id*string

App's UUID.

Formatuuid
anrGroupId*string

ANR group's id.

Query Parameters

from?string

ISO8601 timestamp to include ANRs after this time.

to?string

ISO8601 timestamp to include ANRs before this time.

plot_time_group?string

Time bucket used for plot aggregation. Accepted values: minutes, hours, days, months. Defaults to days.

versions?string

List of comma separated version identifier strings to return only matching ANRs.

version_codes?string

List of comma separated version codes to return only matching ANRs.

countries?string

List of comma separated country identifier strings to return only matching ANRs.

device_names?string

List of comma separated device name identifier strings to return only matching ANRs.

device_manufacturers?string

List of comma separated device manufacturer identifier strings to return only matching ANRs.

locales?string

List of comma separated device locale identifier strings to return only matching ANRs.

network_providers?string

List of comma separated network provider identifier strings to return only matching ANRs.

network_types?string

List of comma separated network type identifier strings to return only matching ANRs.

network_generations?string

List of comma separated network generation identifier strings to return only matching ANRs.

filter_short_code?string

Code representing combination of filters.

ud_expression?string

Expression in JSON to filter using user defined attributes.

Response Body

application/json

curl -X GET "https://example.com/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08/anrGroups/string/plots/instances"
[  {    "id": "1.0 (1)",    "data": [      {        "datetime": "2024-05-03",        "instances": 1      }    ]  }]
Empty
Empty
Empty
Empty
Empty

Think this page can be better?

Open an issue